[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.DataField

Name of the field in the dataset.

## Declaration

Source position: dbextctrls.pp line 63

`published property TDBDateEdit.DataField : string read GetDataField write SetDataField;`

## Description

DataField is a String property that provides the name of the field used to store the Date value in its Dataset. GetDataField is the read access specifier for the property value. SetDataField is the write access specifier for the property value. These methods read and write the value in FieldName for the DataLink.

Use DataSource and DataField to provide the dataset and field name for the control.

## See also

TDBDateEdit.DataField |  | Name of the field in the dataset.
TDBDateEdit.DataSource |  | Provides access to the dataset used for the editing control.
TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.